## fwupd-version fwupd-version — Obtains the version for the installed fwupd |

## Functions

#define | FWUPD_CHECK_VERSION()

## Types and Values

#define | FWUPD_MINOR_VERSION
#define | FWUPD_MICRO_VERSION

## Description

These compile time macros allow the user to enable parts of client code depending on the version of libfwupd installed.

## Functions

### FWUPD_CHECK_VERSION()

    #define             FWUPD_CHECK_VERSION(major,minor,micro)

Check whether a fwupd version equal to or greater than major.minor.micro.

#### Parameters

major | Major version number |
minor | Minor version number |
micro | Micro version number |

## Types and Values

### FWUPD_MINOR_VERSION

    #define FWUPD_MINOR_VERSION				(2)

The compile-time minor version

### FWUPD_MICRO_VERSION

    #define FWUPD_MICRO_VERSION				(8)

The compile-time micro version